#
# spec file for package rubygem-html2haml
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-html2haml
Version:        2.3.0
Release:        1.11
%define mod_name html2haml
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 1.9.2}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
URL:            http://haml.info
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Converts HTML into Haml
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Converts HTML into Haml.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="Changelog.markdown MIT-LICENSE README.md" \
  -f

%gem_packages

%changelog
* Mon Oct 10 2022 Stephan Kulow <coolo@suse.com>
  updated to version 2.3.0
  see installed Changelog.markdown
  [#]# 2.3.0
  * Haml 6+ support.
  * Fixed a bug that embedded ruby code was not parsed with the current version of ruby.
* Tue May 23 2017 coolo@suse.com
- updated to version 2.2.0
  see installed Changelog.markdown
  [#]# 2.2.0
  * Haml 5 support.
* Wed Jan 25 2017 coolo@suse.com
- updated to version 2.1.0
  see installed Changelog.markdown
  [#]# 2.1.0
  * Reduce specificity of Haml 4.0 version dependency.
    (thanks to [Ben Sheldon](https://github.com/bensheldon))
* Fri Feb 20 2015 tboerger@suse.com
- Fixed license
* Fri Feb  6 2015 coolo@suse.com
- updated to version 2.0.0
  * Switch to Nokogiri for XML parsing.
  (thanks to [Stefan Natchev](https://github.com/snatchev) and [Norman
  Clarke](https://github.com/norman))
  * Add Ruby 2.0 support.
  (thanks to [Yasuharu Ozaki](https://github.com/yasuoza))
  * Add option to use Ruby 1.9-style attributes when possible.
  (thanks to [Yoshinori Kawasaki](https://github.com/luvtechno) and
  [Alexander Egorov](https://github.com/qatsi))
  * Updated dependency versions.
  * Removed some deprecated configuration flags.
  * Move the internal HTML class from the Haml namespace into the Html2haml
  namespace.
* Thu Nov 14 2013 coolo@suse.com
- initial package
